Loading...
Searching...
No Matches
etl::reference_flat_multiset< TKey, MAX_SIZE_, TKeyCompare > Class Template Reference

`#include <reference_flat_multiset.h>`

## Public Member Functions

| reference_flat_multiset ()
| Constructor.
| reference_flat_multiset (const reference_flat_multiset &other)
| Copy constructor.
template<typename TIterator>
| reference_flat_multiset (TIterator first, TIterator last)
| ~reference_flat_multiset ()
| Destructor.
Public Member Functions inherited from etl::ireference_flat_multiset< T, TKeyCompare >
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const
reverse_iterator | rbegin ()
const_reverse_iterator | rbegin () const
reverse_iterator | rend ()
const_reverse_iterator | rend () const
const_reverse_iterator | crbegin () const
const_reverse_iterator | crend () const
template<typename TIterator>
void | assign (TIterator first, TIterator last)
ETL_OR_STD::pair< iterator, bool > | insert (value_type &value)
ETL_OR_STD::pair< iterator, bool > | emplace (value_type &value)
iterator | insert (const_iterator, value_type &value)
template<class TIterator>
void | insert (TIterator first, TIterator last)
size_t | erase (parameter_t key)
iterator | erase (iterator i_element)
iterator | erase (const_iterator i_element)
iterator | erase (const_iterator first, const_iterator last)
void | clear ()
| Clears the reference_flat_multiset.
iterator | find (parameter_t key)
const_iterator | find (parameter_t key) const
size_t | count (parameter_t key) const
iterator | lower_bound (parameter_t key)
const_iterator | lower_bound (parameter_t key) const
iterator | upper_bound (parameter_t key)
const_iterator | upper_bound (parameter_t key) const
ETL_OR_STD::pair< iterator, iterator > | equal_range (parameter_t key)
bool | contains (parameter_t key) const
| Check if the map contains the key.
ETL_OR_STD::pair< const_iterator, const_iterator > | equal_range (parameter_t key) const
size_type | size () const
bool | empty () const
bool | full () const
size_type | capacity () const
size_type | max_size () const
size_t | available () const

## Static Public Attributes

static ETL_CONSTANT size_t | MAX_SIZE = MAX_SIZE_

## Additional Inherited Members

Public Types inherited from etl::ireference_flat_multiset< T, TKeyCompare >
typedef T | key_type
typedef T | value_type
typedef TKeyCompare | key_compare
typedef value_type & | reference
typedef const value_type & | const_reference
typedef value_type * | pointer
typedef const value_type * | const_pointer
typedef size_t | size_type
typedef ETL_OR_STD::reverse_iterator< iterator > | reverse_iterator
typedef ETL_OR_STD::reverse_iterator< const_iterator > | const_reverse_iterator
typedef etl::iterator_traits< iterator >::difference_type | difference_type
Protected Types inherited from etl::ireference_flat_multiset< T, TKeyCompare >
typedef etl::ivector< value_type * > | lookup_t
typedef etl::parameter_type< T >::type | parameter_t
Protected Member Functions inherited from etl::ireference_flat_multiset< T, TKeyCompare >
| ireference_flat_multiset (lookup_t &lookup_)
| Constructor.
ETL_OR_STD::pair< iterator, bool > | insert_at (iterator i_element, reference value)
| ~ireference_flat_multiset ()
| Destructor.

## Detailed Description

template<typename TKey, const size_t MAX_SIZE_, typename TKeyCompare = etl::less<TKey>>
class etl::reference_flat_multiset< TKey, MAX_SIZE_, TKeyCompare >

An reference flat set

## Constructor & Destructor Documentation

## reference_flat_multiset()

template<typename TKey, const size_t MAX_SIZE_, typename TKeyCompare = etl::less<TKey>>
template<typename TIterator>

etl::reference_flat_multiset< TKey, MAX_SIZE_, TKeyCompare >::reference_flat_multiset | ( | TIterator | first,
|  | TIterator | last )

inline

Constructor, from an iterator range.

Template Parameters

  TIterator | The iterator type.

Parameters

  first | The iterator to the first element.
  last | The iterator to the last element + 1.

The documentation for this class was generated from the following file:

- include/etl/reference_flat_multiset.h